增值服务
合约体验金发放记录
POST
/
platformapi
/
chainup
/
open
/
futures
/
coupon
/
recordList
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/futures/coupon/recordList
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"page": "1",
"pageSize": "20"
}'
{
"code": "0",
"msg": "suc",
"data": {
"count": 111,
"mapList": [
{
"id": 119,
"sn": "SNMUPO4508339052",
"amount": "100.0",
"uid": 20300021,
"time": 1669089156000,
"amountSup": "0.0",
"amountUse": "0.0",
"amountBack": "100.0",
"status": 2,
"coin": "USDT"
},
{
"id": 120,
"sn": "SNMUPO4508339053",
"amount": "80.0",
"uid": 20300022,
"time": 1669089156001,
"amountSup": "0.0",
"amountUse": "0.0",
"amountBack": "80.0",
"status": 2,
"coin": "USDT"
}
]
}
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
uid
string
用户id,多个用逗号分割
Example: 20321,123123,53112
timeStart
string
赠金领取开始时间,格式yyyy-MM-dd HH:mm:ss
Example: 2025-01-01 00:00:00
timeEnd
string
赠金领取结束时间,格式yyyy-MM-dd HH:mm:ss
Example: 2025-01-02 00:00:00
sn
string
活动编号
Example: SNMHQD0470481517
status
string
状态:1 已领取 2 待回收 3 已回收
Example: 2
page
string
required分页参数(页码)
Example: 1
pageSize
string
required分页参数(每页大小)
Example: 20
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/futures/coupon/recordList
--header 'Content-Type: application/json'
--data '{
"appKey": "{your_app_key}",
"sign": "{sign}",
"page": "1",
"pageSize": "20"
}'
{
"code": "0",
"msg": "suc",
"data": {
"count": 111,
"mapList": [
{
"id": 119,
"sn": "SNMUPO4508339052",
"amount": "100.0",
"uid": 20300021,
"time": 1669089156000,
"amountSup": "0.0",
"amountUse": "0.0",
"amountBack": "100.0",
"status": 2,
"coin": "USDT"
},
{
"id": 120,
"sn": "SNMUPO4508339053",
"amount": "80.0",
"uid": 20300022,
"time": 1669089156001,
"amountSup": "0.0",
"amountUse": "0.0",
"amountBack": "80.0",
"status": 2,
"coin": "USDT"
}
]
}
}